# Uses of Interface
org.springframework.expression.ConstructorResolver

Packages that use ConstructorResolver
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of ConstructorResolver in org.springframework.expression

Methods in org.springframework.expression that return types with arguments of type ConstructorResolver
Modifier and Type
Method
Description
`default List<ConstructorResolver>`
EvaluationContext.`getConstructorResolvers()`
Return a list of resolvers that will be asked in turn to locate a constructor.

## Uses of ConstructorResolver in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement ConstructorResolver
Modifier and Type
Class
Description
`class`
`ReflectiveConstructorResolver`
A constructor resolver that uses reflection to locate the constructor that should be invoked.
Methods in org.springframework.expression.spel.support that return types with arguments of type ConstructorResolver
Modifier and Type
Method
Description
`List<ConstructorResolver>`
StandardEvaluationContext.`getConstructorResolvers()`
Methods in org.springframework.expression.spel.support with parameters of type ConstructorResolver
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`addConstructorResolver(ConstructorResolver resolver)`
`boolean`
StandardEvaluationContext.`removeConstructorResolver(ConstructorResolver resolver)`
Method parameters in org.springframework.expression.spel.support with type arguments of type ConstructorResolver
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setConstructorResolvers(List<ConstructorResolver> constructorResolvers)`